<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:03 CET 2009 -->
<TITLE>
ExecJob
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.job.ExecJob class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="ExecJob";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/ExecJob.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../ch/javasoft/job/ExecException.html" title="class in ch.javasoft.job"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../ch/javasoft/job/ExecJobMonitor.html" title="class in ch.javasoft.job"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?ch/javasoft/job/ExecJob.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ExecJob.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.job</FONT>
<BR>
Class ExecJob</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.job.ExecJob</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../ch/javasoft/job/Executable.html" title="interface in ch.javasoft.job">Executable</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Void.html" title="class or interface in java.lang">Void</A>&gt;, <A HREF="../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A>&lt;<A HREF="../../../ch/javasoft/job/ExecJobMonitor.html" title="class in ch.javasoft.job">ExecJobMonitor</A>&gt;</DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <A HREF="../../../src-html/ch/javasoft/job/ExecJob.html#line.60"><B>ExecJob</B></A><DT>extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A><DT>implements <A HREF="../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A>&lt;<A HREF="../../../ch/javasoft/job/ExecJobMonitor.html" title="class in ch.javasoft.job">ExecJobMonitor</A>&gt;, <A HREF="../../../ch/javasoft/job/Executable.html" title="interface in ch.javasoft.job">Executable</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Void.html" title="class or interface in java.lang">Void</A>&gt;</DL>
</PRE>

<P>
An <code>ExecJob</code> represents a command line executable, such as those
 being passed to <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Runtime.html#exec(java.lang.String)" title="class or interface in java.lang"><CODE>Runtime.exec(String)</CODE></A> and related methods.
 
 <p>A sample usage of this class, piping 2 jobs and displaying the results
 on the standard output/error could look like this:
 <pre>
        public void pipe2Jobs() throws Exception {
                ExecJob job1 = new ExecJob("cat /tmp/efms.txt");
                ExecJob job2 = new ExecJob("grep 191");
                ExecJobMonitor hdl1 = job1.exec();
                ExecJobMonitor hdl2 = job2.exec();
                hdl1.pipeTo(hdl2, true);
                hdl2.pipeTo(System.out, System.err, false);
                hdl2.waitForResult();
                System.out.println("DONE.");
        }
 </pre>
<P>

<P>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../ch/javasoft/job/ExecJob.html#ExecJob(java.lang.String)">ExecJob</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;command)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructs an <tt>ExecJob</tt> with the specified string command</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../ch/javasoft/job/ExecJob.html#ExecJob(java.lang.String[])">ExecJob</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;cmdarray)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructs an <tt>ExecJob</tt> with the specified string command</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../ch/javasoft/job/ExecJob.html#ExecJob(java.lang.String[], java.io.File)">ExecJob</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;cmdarray,
               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/File.html" title="class or interface in java.io">File</A>&nbsp;dir)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructs an <tt>ExecJob</tt> with the specified string command and
 working directory.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../ch/javasoft/job/ExecJob.html#ExecJob(java.lang.String[], java.lang.String[])">ExecJob</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;cmdarray,
               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;envp)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructs an <tt>ExecJob</tt> with the specified string command and
 environment.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../ch/javasoft/job/ExecJob.html#ExecJob(java.lang.String[], java.lang.String[], java.io.File)">ExecJob</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;cmdarray,
               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;envp,
               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/File.html" title="class or interface in java.io">File</A>&nbsp;dir)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructs an <tt>ExecJob</tt> with the specified string command,
 environment and working directory.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../ch/javasoft/job/ExecJob.html#ExecJob(java.lang.String, java.io.File)">ExecJob</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;command,
               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/File.html" title="class or interface in java.io">File</A>&nbsp;dir)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructs an <tt>ExecJob</tt> with the specified string command and
 working directory.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../ch/javasoft/job/ExecJob.html#ExecJob(java.lang.String, java.lang.String[])">ExecJob</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;command,
               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;envp)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructs an <tt>ExecJob</tt> with the specified string command and
 environment.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../ch/javasoft/job/ExecJob.html#ExecJob(java.lang.String, java.lang.String[], java.io.File)">ExecJob</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;command,
               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;envp,
               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/File.html" title="class or interface in java.io">File</A>&nbsp;dir)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructs an <tt>ExecJob</tt> with the specified string command,
 environment and working directory.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../ch/javasoft/job/ExecJobMonitor.html" title="class in ch.javasoft.job">ExecJobMonitor</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/job/ExecJob.html#exec()">exec</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Executes and returns immediately, without waiting for completion.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../ch/javasoft/job/ExecJobMonitor.html" title="class in ch.javasoft.job">ExecJobMonitor</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/job/ExecJob.html#exec(ch.javasoft.job.JobTerminationHandler)">exec</A></B>(<A HREF="../../../ch/javasoft/job/JobTerminationHandler.html" title="interface in ch.javasoft.job">JobTerminationHandler</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Void.html" title="class or interface in java.lang">Void</A>&gt;&nbsp;terminationHandler)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Executes and returns immediately, without waiting for completion.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../ch/javasoft/job/JobResult.html" title="interface in ch.javasoft.job">JobResult</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Void.html" title="class or interface in java.lang">Void</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/job/ExecJob.html#execAndWait()">execAndWait</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Executes and waits for completion.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Void.html" title="class or interface in java.lang">Void</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/job/ExecJob.html#execAndWaitThrowException()">execAndWaitThrowException</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Executes and waits for completion.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;E extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Throwable.html" title="class or interface in java.lang">Throwable</A>&gt; 
<BR>
void</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/job/ExecJob.html#execWaitForResultThrowException(java.lang.Class)">execWaitForResultThrowException</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Class.html" title="class or interface in java.lang">Class</A>&lt;E&gt;&nbsp;exClass)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Like <A HREF="../../../ch/javasoft/job/ExecJob.html#execAndWait()"><CODE>execAndWait()</CODE></A>, but if the result was exceptional, an
 Exception is thrown.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/job/ExecJob.html#execWaitForStdOutString()">execWaitForStdOutString</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Like <A HREF="../../../ch/javasoft/job/ExecJob.html#execAndWait()"><CODE>execAndWait()</CODE></A>, but returning a string containing the
 stuff which was written to the standard output of the process.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/job/ExecJob.html#id()">id</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../ch/javasoft/job/ExecJobMonitor.html" title="class in ch.javasoft.job">ExecJobMonitor</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/job/ExecJob.html#run()">run</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Executes the job, blocks until the result is present or an exception
 is thrown.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/job/ExecJob.html#toString()">toString</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="ExecJob(java.lang.String)"><!-- --></A><H3>
ExecJob</H3>
<PRE>
public <A HREF="../../../src-html/ch/javasoft/job/ExecJob.html#line.80"><B>ExecJob</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;command)</PRE>
<DL>
<DD>Constructs an <tt>ExecJob</tt> with the specified string command

 <p>This is a convenience method. An invocation of the form
 <tt>ExecJob(command)</tt>
 behaves in exactly the same way as the invocation
 <tt><A HREF="../../../ch/javasoft/job/ExecJob.html#ExecJob(java.lang.String, java.lang.String[], java.io.File)"><CODE>exec</CODE></A>(command, null, null)</tt>.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>command</CODE> - a specified system command.
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/NullPointerException.html" title="class or interface in java.lang">NullPointerException</A></CODE> - if <tt>command</tt> is <tt>null</tt><DT><B>See Also:</B><DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Runtime.html#exec(java.lang.String)" title="class or interface in java.lang"><CODE>Runtime.exec(String)</CODE></A></DL>
</DL>
<HR>

<A NAME="ExecJob(java.lang.String, java.lang.String[])"><!-- --></A><H3>
ExecJob</H3>
<PRE>
public <A HREF="../../../src-html/ch/javasoft/job/ExecJob.html#line.105"><B>ExecJob</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;command,
               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;envp)</PRE>
<DL>
<DD>Constructs an <tt>ExecJob</tt> with the specified string command and
 environment.

 <p>This is a convenience method. An invocation of the form
 <tt>ExecJob(command, envp)</tt>
 behaves in exactly the same way as the invocation
 <tt><A HREF="../../../ch/javasoft/job/ExecJob.html#ExecJob(java.lang.String, java.lang.String[], java.io.File)"><CODE>exec</CODE></A>(command, envp, null)</tt>.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>command</CODE> - a specified system command.<DD><CODE>envp</CODE> - array of strings, each element of which
                    has environment variable settings in the format
                    <i>name</i>=<i>value</i>, or
                    <tt>null</tt> if the subprocess should inherit
                    the environment of the current process.
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/NullPointerException.html" title="class or interface in java.lang">NullPointerException</A></CODE> - if <tt>command</tt> is <tt>null</tt><DT><B>See Also:</B><DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Runtime.html#exec(java.lang.String, java.lang.String[])" title="class or interface in java.lang"><CODE>Runtime.exec(String, String[])</CODE></A>, 
<A HREF="../../../ch/javasoft/util/Env.html" title="class in ch.javasoft.util"><CODE>Env</CODE></A></DL>
</DL>
<HR>

<A NAME="ExecJob(java.lang.String, java.io.File)"><!-- --></A><H3>
ExecJob</H3>
<PRE>
public <A HREF="../../../src-html/ch/javasoft/job/ExecJob.html#line.128"><B>ExecJob</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;command,
               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/File.html" title="class or interface in java.io">File</A>&nbsp;dir)</PRE>
<DL>
<DD>Constructs an <tt>ExecJob</tt> with the specified string command and
 working directory.

 <p>This is a convenience method. An invocation of the form
 <tt>ExecJob(command, dir)</tt>
 behaves in exactly the same way as the invocation
 <tt><A HREF="../../../ch/javasoft/job/ExecJob.html#ExecJob(java.lang.String, java.lang.String[], java.io.File)"><CODE>exec</CODE></A>(command, null, dir)</tt>.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>command</CODE> - a specified system command.<DD><CODE>dir</CODE> - the working directory of the subprocess, or
                    <tt>null</tt> if the subprocess should inherit
                    the working directory of the current process.
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/NullPointerException.html" title="class or interface in java.lang">NullPointerException</A></CODE> - if <tt>command</tt> is <tt>null</tt><DT><B>See Also:</B><DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Runtime.html#exec(java.lang.String, java.lang.String[], java.io.File)" title="class or interface in java.lang"><CODE>Runtime.exec(String, String[], File)</CODE></A>, 
<A HREF="../../../ch/javasoft/util/Env.html" title="class in ch.javasoft.util"><CODE>Env</CODE></A></DL>
</DL>
<HR>

<A NAME="ExecJob(java.lang.String, java.lang.String[], java.io.File)"><!-- --></A><H3>
ExecJob</H3>
<PRE>
public <A HREF="../../../src-html/ch/javasoft/job/ExecJob.html#line.151"><B>ExecJob</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;command,
               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;envp,
               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/File.html" title="class or interface in java.io">File</A>&nbsp;dir)</PRE>
<DL>
<DD>Constructs an <tt>ExecJob</tt> with the specified string command,
 environment and working directory.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>command</CODE> - a specified system command.<DD><CODE>envp</CODE> - array of strings, each element of which
                    has environment variable settings in the format
                    <i>name</i>=<i>value</i>, or
                    <tt>null</tt> if the subprocess should inherit
                    the environment of the current process.<DD><CODE>dir</CODE> - the working directory of the subprocess, or
                    <tt>null</tt> if the subprocess should inherit
                    the working directory of the current process.
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/NullPointerException.html" title="class or interface in java.lang">NullPointerException</A></CODE> - if <tt>command</tt> is <tt>null</tt><DT><B>See Also:</B><DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Runtime.html#exec(java.lang.String, java.lang.String[], java.io.File)" title="class or interface in java.lang"><CODE>Runtime.exec(String, String[], File)</CODE></A>, 
<A HREF="../../../ch/javasoft/util/Env.html" title="class in ch.javasoft.util"><CODE>Env</CODE></A></DL>
</DL>
<HR>

<A NAME="ExecJob(java.lang.String[])"><!-- --></A><H3>
ExecJob</H3>
<PRE>
public <A HREF="../../../src-html/ch/javasoft/job/ExecJob.html#line.169"><B>ExecJob</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;cmdarray)</PRE>
<DL>
<DD>Constructs an <tt>ExecJob</tt> with the specified string command

 <p>This is a convenience method. An invocation of the form
 <tt>ExecJob(command)</tt>
 behaves in exactly the same way as the invocation
 <tt><A HREF="../../../ch/javasoft/job/ExecJob.html#ExecJob(java.lang.String, java.lang.String[], java.io.File)"><CODE>exec</CODE></A>(command, null, null)</tt>.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>cmdarray</CODE> - array containing the command to call and
                    its arguments.
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/NullPointerException.html" title="class or interface in java.lang">NullPointerException</A></CODE> - if <tt>command</tt> is <tt>null</tt><DT><B>See Also:</B><DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Runtime.html#exec(java.lang.String)" title="class or interface in java.lang"><CODE>Runtime.exec(String)</CODE></A></DL>
</DL>
<HR>

<A NAME="ExecJob(java.lang.String[], java.lang.String[])"><!-- --></A><H3>
ExecJob</H3>
<PRE>
public <A HREF="../../../src-html/ch/javasoft/job/ExecJob.html#line.195"><B>ExecJob</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;cmdarray,
               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;envp)</PRE>
<DL>
<DD>Constructs an <tt>ExecJob</tt> with the specified string command and
 environment.

 <p>This is a convenience method. An invocation of the form
 <tt>ExecJob(command, envp)</tt>
 behaves in exactly the same way as the invocation
 <tt><A HREF="../../../ch/javasoft/job/ExecJob.html#ExecJob(java.lang.String, java.lang.String[], java.io.File)"><CODE>exec</CODE></A>(command, envp, null)</tt>.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>cmdarray</CODE> - array containing the command to call and
                    its arguments.<DD><CODE>envp</CODE> - array of strings, each element of which
                    has environment variable settings in the format
                    <i>name</i>=<i>value</i>, or
                    <tt>null</tt> if the subprocess should inherit
                    the environment of the current process.
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/NullPointerException.html" title="class or interface in java.lang">NullPointerException</A></CODE> - if <tt>command</tt> is <tt>null</tt><DT><B>See Also:</B><DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Runtime.html#exec(java.lang.String, java.lang.String[])" title="class or interface in java.lang"><CODE>Runtime.exec(String, String[])</CODE></A>, 
<A HREF="../../../ch/javasoft/util/Env.html" title="class in ch.javasoft.util"><CODE>Env</CODE></A></DL>
</DL>
<HR>

<A NAME="ExecJob(java.lang.String[], java.io.File)"><!-- --></A><H3>
ExecJob</H3>
<PRE>
public <A HREF="../../../src-html/ch/javasoft/job/ExecJob.html#line.219"><B>ExecJob</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;cmdarray,
               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/File.html" title="class or interface in java.io">File</A>&nbsp;dir)</PRE>
<DL>
<DD>Constructs an <tt>ExecJob</tt> with the specified string command and
 working directory.

 <p>This is a convenience method. An invocation of the form
 <tt>ExecJob(command, dir)</tt>
 behaves in exactly the same way as the invocation
 <tt><A HREF="../../../ch/javasoft/job/ExecJob.html#ExecJob(java.lang.String, java.lang.String[], java.io.File)"><CODE>exec</CODE></A>(command, null, dir)</tt>.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>cmdarray</CODE> - array containing the command to call and
                    its arguments.<DD><CODE>dir</CODE> - the working directory of the subprocess, or
                    <tt>null</tt> if the subprocess should inherit
                    the working directory of the current process.
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/NullPointerException.html" title="class or interface in java.lang">NullPointerException</A></CODE> - if <tt>command</tt> is <tt>null</tt><DT><B>See Also:</B><DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Runtime.html#exec(java.lang.String, java.lang.String[], java.io.File)" title="class or interface in java.lang"><CODE>Runtime.exec(String, String[], File)</CODE></A>, 
<A HREF="../../../ch/javasoft/util/Env.html" title="class in ch.javasoft.util"><CODE>Env</CODE></A></DL>
</DL>
<HR>

<A NAME="ExecJob(java.lang.String[], java.lang.String[], java.io.File)"><!-- --></A><H3>
ExecJob</H3>
<PRE>
public <A HREF="../../../src-html/ch/javasoft/job/ExecJob.html#line.243"><B>ExecJob</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;cmdarray,
               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;envp,
               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/File.html" title="class or interface in java.io">File</A>&nbsp;dir)</PRE>
<DL>
<DD>Constructs an <tt>ExecJob</tt> with the specified string command,
 environment and working directory.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>cmdarray</CODE> - array containing the command to call and
                    its arguments.<DD><CODE>envp</CODE> - array of strings, each element of which
                    has environment variable settings in the format
                    <i>name</i>=<i>value</i>, or
                    <tt>null</tt> if the subprocess should inherit
                    the environment of the current process.<DD><CODE>dir</CODE> - the working directory of the subprocess, or
                    <tt>null</tt> if the subprocess should inherit
                    the working directory of the current process.
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/NullPointerException.html" title="class or interface in java.lang">NullPointerException</A></CODE> - if <tt>command</tt> is <tt>null</code><DT><B>See Also:</B><DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Runtime.html#exec(java.lang.String, java.lang.String[], java.io.File)" title="class or interface in java.lang"><CODE>Runtime.exec(String, String[], File)</CODE></A>, 
<A HREF="../../../ch/javasoft/util/Env.html" title="class in ch.javasoft.util"><CODE>Env</CODE></A></DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="id()"><!-- --></A><H3>
id</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A> <A HREF="../../../src-html/ch/javasoft/job/ExecJob.html#line.251"><B>id</B></A>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the object itself (<code>this</code>)</DL>
</DD>
</DL>
<HR>

<A NAME="run()"><!-- --></A><H3>
run</H3>
<PRE>
public <A HREF="../../../ch/javasoft/job/ExecJobMonitor.html" title="class in ch.javasoft.job">ExecJobMonitor</A> <A HREF="../../../src-html/ch/javasoft/job/ExecJob.html#line.256"><B>run</B></A>()
                   throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../ch/javasoft/job/Job.html#run()">Job</A></CODE></B></DD>
<DD>Executes the job, blocks until the result is present or an exception
 is thrown. <br/>
 <b>Note:</b> It is usually not a good idea to call this method manually,
 but to let this job be executed by a <A HREF="../../../ch/javasoft/job/JobProcessor.html" title="interface in ch.javasoft.job"><CODE>JobProcessor</CODE></A>. Most job
 implementations also implement <A HREF="../../../ch/javasoft/job/Executable.html" title="interface in ch.javasoft.job"><CODE>Executable</CODE></A> with the more 
 preferable <A HREF="../../../ch/javasoft/job/Executable.html#exec()"><CODE>Executable.exec()</CODE></A> and <A HREF="../../../ch/javasoft/job/Executable.html#execAndWait()"><CODE>Executable.execAndWait()</CODE></A>
 methods.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/job/Job.html#run()">run</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A>&lt;<A HREF="../../../ch/javasoft/job/ExecJobMonitor.html" title="class in ch.javasoft.job">ExecJobMonitor</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the job result, or <code>null</code> of type <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Void.html" title="class or interface in java.lang"><CODE>Void</CODE></A> for
                        void methods
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="exec()"><!-- --></A><H3>
exec</H3>
<PRE>
public <A HREF="../../../ch/javasoft/job/ExecJobMonitor.html" title="class in ch.javasoft.job">ExecJobMonitor</A> <A HREF="../../../src-html/ch/javasoft/job/ExecJob.html#line.275"><B>exec</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../ch/javasoft/job/Executable.html#exec()">Executable</A></CODE></B></DD>
<DD>Executes and returns immediately, without waiting for completion.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/job/Executable.html#exec()">exec</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/job/Executable.html" title="interface in ch.javasoft.job">Executable</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Void.html" title="class or interface in java.lang">Void</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the job monitor, which also allows access to the result
                        when execution completed</DL>
</DD>
</DL>
<HR>

<A NAME="exec(ch.javasoft.job.JobTerminationHandler)"><!-- --></A><H3>
exec</H3>
<PRE>
public <A HREF="../../../ch/javasoft/job/ExecJobMonitor.html" title="class in ch.javasoft.job">ExecJobMonitor</A> <A HREF="../../../src-html/ch/javasoft/job/ExecJob.html#line.279"><B>exec</B></A>(<A HREF="../../../ch/javasoft/job/JobTerminationHandler.html" title="interface in ch.javasoft.job">JobTerminationHandler</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Void.html" title="class or interface in java.lang">Void</A>&gt;&nbsp;terminationHandler)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../ch/javasoft/job/Executable.html#exec(ch.javasoft.job.JobTerminationHandler)">Executable</A></CODE></B></DD>
<DD>Executes and returns immediately, without waiting for completion. The 
 submitted termination handler is notified upon normal or exceptional
 termination.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/job/Executable.html#exec(ch.javasoft.job.JobTerminationHandler)">exec</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/job/Executable.html" title="interface in ch.javasoft.job">Executable</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Void.html" title="class or interface in java.lang">Void</A>&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>terminationHandler</CODE> - the handler for normal and exceptional termination of this job
<DT><B>Returns:</B><DD>the job monitor</DL>
</DD>
</DL>
<HR>

<A NAME="execAndWait()"><!-- --></A><H3>
execAndWait</H3>
<PRE>
public <A HREF="../../../ch/javasoft/job/JobResult.html" title="interface in ch.javasoft.job">JobResult</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Void.html" title="class or interface in java.lang">Void</A>&gt; <A HREF="../../../src-html/ch/javasoft/job/ExecJob.html#line.285"><B>execAndWait</B></A>()
                            throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/InterruptedException.html" title="class or interface in java.lang">InterruptedException</A></PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../ch/javasoft/job/Executable.html#execAndWait()">Executable</A></CODE></B></DD>
<DD>Executes and waits for completion.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/job/Executable.html#execAndWait()">execAndWait</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/job/Executable.html" title="interface in ch.javasoft.job">Executable</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Void.html" title="class or interface in java.lang">Void</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the job result, giving access to the return value on success,
                        or to the exception if execution caused any.
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/InterruptedException.html" title="class or interface in java.lang">InterruptedException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="execAndWaitThrowException()"><!-- --></A><H3>
execAndWaitThrowException</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Void.html" title="class or interface in java.lang">Void</A> <A HREF="../../../src-html/ch/javasoft/job/ExecJob.html#line.289"><B>execAndWaitThrowException</B></A>()
                               throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/InterruptedException.html" title="class or interface in java.lang">InterruptedException</A>,
                                      <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Throwable.html" title="class or interface in java.lang">Throwable</A></PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../ch/javasoft/job/Executable.html#execAndWaitThrowException()">Executable</A></CODE></B></DD>
<DD>Executes and waits for completion. The result is returned on normal
 termination, and an exception is thrown on abnormal (exceptional)
 termination.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/job/Executable.html#execAndWaitThrowException()">execAndWaitThrowException</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/job/Executable.html" title="interface in ch.javasoft.job">Executable</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Void.html" title="class or interface in java.lang">Void</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the result if termination is normal
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/InterruptedException.html" title="class or interface in java.lang">InterruptedException</A></CODE>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Throwable.html" title="class or interface in java.lang">Throwable</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="execWaitForResultThrowException(java.lang.Class)"><!-- --></A><H3>
execWaitForResultThrowException</H3>
<PRE>
public &lt;E extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Throwable.html" title="class or interface in java.lang">Throwable</A>&gt; void <A HREF="../../../src-html/ch/javasoft/job/ExecJob.html#line.314"><B>execWaitForResultThrowException</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Class.html" title="class or interface in java.lang">Class</A>&lt;E&gt;&nbsp;exClass)
                                     throws E extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Throwable.html" title="class or interface in java.lang">Throwable</A></PRE>
<DL>
<DD>Like <A HREF="../../../ch/javasoft/job/ExecJob.html#execAndWait()"><CODE>execAndWait()</CODE></A>, but if the result was exceptional, an
 Exception is thrown. The exception type to be thrown is defined with the
 <code>exClass</code> parameter, every exception not being of that type
 will be transformed into a <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/RuntimeException.html" title="class or interface in java.lang"><CODE>RuntimeException</CODE></A> if necessary.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>exClass</CODE> - The desired exception type, e.g. use 
                                        <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/RuntimeException.html" title="class or interface in java.lang"><CODE>RuntimeException</CODE></A><tt>.class</tt> that only runtime 
                                        exceptions are thrown, or <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Throwable.html" title="class or interface in java.lang"><CODE>Throwable</CODE></A><tt>.class</tt>
                                        to rethrow every occuring exception unchanged.
<DT><B>Throws:</B>
<DD><CODE>E</CODE> - The exception of the specified type
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/RuntimeException.html" title="class or interface in java.lang">RuntimeException</A></CODE> - If an exception was thrown not being of type E
                                                        and not being an Error. If it was already a 
                                                        runtime exception, it is rethrown, if not, it
                                                        is nested in a runtime exception which is then
                                                        thrown.
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Error.html" title="class or interface in java.lang">Error</A></CODE> - If an error was thrown not being of type E
<DD><CODE>E extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Throwable.html" title="class or interface in java.lang">Throwable</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="execWaitForStdOutString()"><!-- --></A><H3>
execWaitForStdOutString</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../src-html/ch/javasoft/job/ExecJob.html#line.338"><B>execWaitForStdOutString</B></A>()
                               throws <A HREF="../../../ch/javasoft/job/ExecException.html" title="class in ch.javasoft.job">ExecException</A>,
                                      <A HREF="../../../ch/javasoft/job/ExitValueException.html" title="class in ch.javasoft.job">ExitValueException</A>,
                                      <A HREF="../../../ch/javasoft/job/StdErrNonEmptyException.html" title="class in ch.javasoft.job">StdErrNonEmptyException</A>,
                                      <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/InterruptedException.html" title="class or interface in java.lang">InterruptedException</A></PRE>
<DL>
<DD>Like <A HREF="../../../ch/javasoft/job/ExecJob.html#execAndWait()"><CODE>execAndWait()</CODE></A>, but returning a string containing the
 stuff which was written to the standard output of the process. If the
 process also wrote to the standard error, a 
 <A HREF="../../../ch/javasoft/job/StdErrNonEmptyException.html" title="class in ch.javasoft.job"><CODE>StdErrNonEmptyException</CODE></A> is thrown. If the process exits with an
 exit code unequal to 0, an <A HREF="../../../ch/javasoft/job/ExitValueException.html" title="class in ch.javasoft.job"><CODE>ExitValueException</CODE></A> is thrown.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the string containing what was written to the standard output of
                        the process
<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../ch/javasoft/job/ExitValueException.html" title="class in ch.javasoft.job">ExitValueException</A></CODE> - if the process terminated with an exit
                                                                        value unequal to 0
<DD><CODE><A HREF="../../../ch/javasoft/job/StdErrNonEmptyException.html" title="class in ch.javasoft.job">StdErrNonEmptyException</A></CODE> - if the process wrote to the standard
                                                                        error
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/InterruptedException.html" title="class or interface in java.lang">InterruptedException</A></CODE> - if waiting for termination of the 
                                                                        process was interrupted, e.g.
                                                                        by calling <A HREF="../../../ch/javasoft/job/ExecJobMonitor.html#interrupt()"><CODE>ExecJobMonitor.interrupt()</CODE></A>
<DD><CODE><A HREF="../../../ch/javasoft/job/ExecException.html" title="class in ch.javasoft.job">ExecException</A></CODE> - if any other exception occurred during
                                                                        the process execution</DL>
</DD>
</DL>
<HR>

<A NAME="toString()"><!-- --></A><H3>
toString</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../src-html/ch/javasoft/job/ExecJob.html#line.343"><B>toString</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/ExecJob.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../ch/javasoft/job/ExecException.html" title="class in ch.javasoft.job"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../ch/javasoft/job/ExecJobMonitor.html" title="class in ch.javasoft.job"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?ch/javasoft/job/ExecJob.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ExecJob.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
